NOELS {bimets} | R Documentation

## Count Elements

### Description

This function returns a numerical array built with the length of each input argument. Input arguments can be numerical or time series. Input arguments can also be string variables.

### Usage

    NOELS(...)

### Arguments

`...` | List of input arguments. This function accepts input of class `numerical`, `character`, or BIMETS time series. `character` arguments are exclusive: if an argument is of class `character`, all other arguments must be of class `character`.

### Value

This function returns an array of class `c()`.

### See Also

`TIMESERIES`
`is.bimets`
`BIMETS indexing`
`TSDATES`
`LOCS`
`NAMELIST`
`INTS`
`TSINFO`
`TSLOOK`
`TABIT`

### Examples

    	out_NOELS=NOELS(c(1,2,3,4),c(5,6,7));
    	print(out_NOELS);#print c(4,3)

    	out_NOELS=NOELS(TSERIES(c(1,2,3,4),START=c(2000,1),FREQ=1),c(5,6,7));
    	print(out_NOELS);#print c(4,3)

    	out_NOELS=NOELS('aaa','bb');
    	print(out_NOELS);#print c(3,2)

[Package bimets version 1.4.0 Index]